Subject: bug#4550: 23.1; give users a choice for quitting backtrace buffer

From: martin rudalics <[email-masked]>
Date: Sun, 17 Jul 2011 15:00:36 +0200

> Yeah, but AIUI one of the points of the recent buffer display reform is
 > to provide a unified customization interface, so I think it would be a
 > shame to still leave cases which the user has to handle outside of it
 > (which in this case would be particularly ugly, as `quit-window' doesn't
 > seem to provide any means to hook into what it does other than the
 > prefix argument).

The "buffer display reform" doesn't cover the case where a window is
obtained "manually", for example, by C-x 2.  `quit-restore-window' does
hanlde that and `quit-window' too, both in their own ways.

 > Perhaps `quit-window' could check if a relevant specification exists,
 > and default to the current behaviour if none is found?

Perhaps.  `bury-buffer' is another function that could do that.  I once
thought of making `quit-restore-window' the only function to "quit" a
window but meanwhile I had to recognize that people have developed very
strict conceptions about how a window shall be quit.

martin